Skip to main content

Create Location Resource

API Description

Create a new location resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/locations
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.locationDetails
REQUIRED
Example Request Body (raw JSON)
{
"locationDetails": {
"partnersLocationId": "1212121212",
"partnersLocationVersion": "PV01",
"brandId": "9467895078742654946",
"displayNames": [
{
"name": "Malibu Ice Cream",
"locale": "en-US",
"primary": true
}
],
"storeCode": "#123",
"internalNicknames": [
{
"name": "9th Ave & West 15th",
"locale": "en"
}
],
"mainAddress": {
"structuredAddress": {
"floor": "7th floor",
"thoroughfare": "9th Ave",
"subThoroughfare": "75",
"fullThoroughfare": "75 9th Ave",
"subLocality": "pos. Lesnoe",
"locality": "New York",
"administrativeArea": "New York",
"postCode": "10011",
"countryCode": "US"
},
"locale": "en"
},
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"locationDescriptions": [
{
"type": "ABOUT",
"descriptions": [
{
"text": "Established in 1984, Malibu Ice Cream handcrafts artisan super premium ice creams, dairy-free fruit juices and frozen yogurt! We are the home of world famous Mexican Vanilla Ice Cream. Explore your favorite flavors at Malibu IceCream.",
"locale": "en"
}
]
}
],
"openingHoursByDay": [
{
"day": "MONDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "TUESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "WEDNESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "THURSDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "FRIDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "SATURDAY",
"times": [
{
"startTime": "09:00",
"endTime": "23:30"
}
]
}
],
"specialHours": [
{
"hoursByDay": [
{
"day": "SUNDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
}
],
"startDate": "2026-12-25",
"endDate": "2026-12-25",
"closed": false,
"descriptions": [
{
"text": "Early Closing Christmas Day",
"locale": "en-US"
},
{
"text": "Día de Navidad de cierre anticipado",
"locale": "es"
}
]
}
],
"categories": [
"dining.dessert_shop.ice_cream_shop",
"dining.dessert_shop.ice_cream_shop.gelato_shop",
"travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental"
],
"locationAttributes": [
{
"name": "crossbusiness.restrooms.gender_neutral_restroom",
"value": "true"
}
],
"paymentMethods": [
"VISA",
"MASTERCARD"
],
"displayPoint": {
"coordinates": {
"latitude": "52.358834",
"longitude": "4.893834"
},
"source": "MANUALLY_PLACED"
},
"phoneNumbers": [
{
"phoneNumber": "+12225551212",
"type": "LANDLINE",
"primary": true
}
],
"locationStatus": {
"status": "OPEN"
},
"actionLinkDetails": {
"quicklinks": [
{
"category": "quicklinks.restaurant_order_food",
"quicklinkUrl": "https://www.provider.com/menu/malibu-icecream",
"appStoreUrl": "https://apps.apple.com/us/app/provider-name-food-delivery/id284910350",
"relationship": "AUTHORIZED"
}
]
}
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 2555c6ab-3e20-4811-bc44-6a6249024269
content-type: application/json
etag: "9a37da78-ddd2-11ec-b327-a33f2f0dc19a"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976

Response Body

NameOutput
$.orgId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.locationDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "9467895078742654976",
"createdDate": "2026-10-10T17:22:19.00Z",
"updatedDate": "2026-10-10T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "9a37da78-ddd2-11ec-b327-a33f2f0dc19a",
"locationDetails": {
"partnersLocationId": "1212121212",
"partnersLocationVersion": "PV01",
"brandId": "9467895078742654946",
"displayNames": [
{
"name": "Malibu Ice Cream",
"locale": "en-US",
"primary": true
}
],
"storeCode": "#123",
"internalNicknames": [
{
"name": "9th Ave & West 15th",
"locale": "en"
}
],
"mainAddress": {
"structuredAddress": {
"floor": "7th floor",
"thoroughfare": "9th Ave",
"subThoroughfare": "75",
"fullThoroughfare": "75 9th Ave",
"subLocality": "pos. Lesnoe",
"locality": "New York",
"administrativeArea": "New York",
"postCode": "10011",
"countryCode": "US"
},
"locale": "en"
},
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"locationDescriptions": [
{
"type": "ABOUT",
"descriptions": [
{
"text": "Established in 1984, Malibu Ice Cream handcrafts artisan super premium ice creams, dairy-free fruit juices and frozen yogurt! We are the home of world famous Mexican Vanilla Ice Cream. Explore your favorite flavors at Malibu IceCream.",
"locale": "en"
}
]
}
],
"openingHoursByDay": [
{
"day": "MONDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "TUESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "WEDNESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "THURSDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "FRIDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "SATURDAY",
"times": [
{
"startTime": "09:00",
"endTime": "23:30"
}
]
}
],
"specialHours": [
{
"hoursByDay": [
{
"day": "SUNDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
}
],
"startDate": "2026-12-25",
"endDate": "2026-12-25",
"closed": false,
"descriptions": [
{
"text": "Early Closing Christmas Day",
"locale": "en-US"
},
{
"text": "Día de Navidad de cierre anticipado",
"locale": "es"
}
]
}
],
"categories": [
"dining.dessert_shop.ice_cream_shop",
"dining.dessert_shop.ice_cream_shop.gelato_shop",
"travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental"
],
"locationAttributes": [
{
"name": "crossbusiness.restrooms.gender_neutral_restroom",
"value": "true"
}
],
"paymentMethods": [
"VISA",
"MASTERCARD"
],
"displayPoint": {
"coordinates": {
"latitude": "52.358834",
"longitude": "4.893834"
},
"source": "MANUALLY_PLACED"
},
"phoneNumbers": [
{
"phoneNumber": "+12225551212",
"type": "LANDLINE",
"primary": true
}
],
"locationStatus": {
"status": "OPEN"
},
"actionLinkDetails": {
"quicklinks": [
{
"category": "quicklinks.restaurant_order_food",
"quicklinkUrl": "https://www.provider.com/menu/malibu-icecream",
"appStoreUrl": "https://apps.apple.com/us/app/provider-name-food-delivery/id284910350",
"relationship": "AUTHORIZED"
}
]
}
},
"validationReports": []
}